<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
<%@ page language="java" %>

<%@ taglib uri="/WEB-INF/tld/myfaces-html.tld"  prefix="h" %>
<%@ taglib uri="/WEB-INF/tld/myfaces_core.tld"  prefix="f" %>  

<%
String path = request.getContextPath();
String basePath = request.getScheme()+"://"+request.getServerName()+":"+request.getServerPort()+path+"/";
%>    
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<base href="<%=basePath%>">
<title>Edit employee details</title>
</head> 
<body>
	<f:view> 
		<h:form>
		
		<h:inputHidden id="id" value="#{Employee.empNo}"/>
		
		<h:panelGrid columns="2" border="0">
			
			<h:outputText value="Employee No :" />
			
			<h:inputText id="empNo" disabled="true"
					     value="#{Employee.empNo}" required="true">
			<f:validateLongRange maximum="100000" minimum="1"/>					     
			</h:inputText>
			
		
		    <h:outputText value="Employee Name :" />
			
		    <h:inputText id="empName" 
					     value="#{Employee.empName}" required="true">
			<f:validateLength maximum="100" minimum="2"/>						     
			</h:inputText>
		
			<h:outputText value="Department Name :" />

			<h:selectOneMenu id="deptName" value="#{Employee.deptName}" required="true">
				<f:selectItems value="#{Employee.deptOptions}" />
			</h:selectOneMenu>

			<h:outputText value="Sex :" />
			
			<h:selectOneRadio id="sex" value="#{Employee.sex}" required="true">
				<f:selectItem id="male" itemLabel="Male" itemValue="male" />
				<f:selectItem id="female" itemLabel="Female" itemValue="female" />
			</h:selectOneRadio>

			<h:outputText value="Salary :" />
			
			<h:inputText id="salary" 
					     value="#{Employee.salary}" required="true">
		     <f:validateDoubleRange minimum="1000.00" maximum="10000000.00"/>	
			</h:inputText>
			
			<h:outputText value="Employee Band :" />
			
 			<h:selectOneListbox id="band" value="#{Employee.band}" size="3" required="true">
				<f:selectItem id="bandA" itemLabel="Band A" itemValue="A" />
				<f:selectItem id="bandB" itemLabel="Band B" itemValue="B" />
				<f:selectItem id="bandC" itemLabel="Band C" itemValue="C" />
				<f:selectItem id="bandD" itemLabel="Band D" itemValue="D" />
				<f:selectItem id="bandE" itemLabel="Band E" itemValue="E" />
				<f:selectItem id="bandF" itemLabel="Band F" itemValue="F" />
			</h:selectOneListbox>

		    
		</h:panelGrid>
		
		<h:messages id="errors" 
					style="color:red;font-weight:bold" 
					layout="table" />

		<h:commandButton value="Save" 
						 action="saveEmployee" 
						 actionListener="#{Employee.editEmployee}"  />
						 
						 						 
		</h:form>
	</f:view>
</body>
</html>